package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.hmc.sdk.common.Atom;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class VirtualDisk {
    private Metadata metadata;
    private String diskCapacity;
    private String diskLabel;
    private String diskName;
    private String uniqueDeviceID;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getDiskCapacity() {
        return diskCapacity;
    }

    public void setDiskCapacity(String diskCapacity) {
        this.diskCapacity = diskCapacity;
    }

    public String getDiskLabel() {
        return diskLabel;
    }

    public void setDiskLabel(String diskLabel) {
        this.diskLabel = diskLabel;
    }

    public String getDiskName() {
        return diskName;
    }

    public void setDiskName(String diskName) {
        this.diskName = diskName;
    }

    public String getUniqueDeviceID() {
        return uniqueDeviceID;
    }

    public void setUniqueDeviceID(String uniqueDeviceID) {
        this.uniqueDeviceID = uniqueDeviceID;
    }

    public VirtualDisk() {
    }

    public VirtualDisk(String diskCapacity, String diskLabel, String diskName, String uniqueDeviceID) {
        super();
        this.metadata = new Metadata(new Atom());
        this.diskCapacity = diskCapacity;
        this.diskLabel = diskLabel;
        this.diskName = diskName;
        this.uniqueDeviceID = uniqueDeviceID;
    }

    public VirtualDisk(String diskCapacity, String diskLabel, String diskName) {
        super();
        this.metadata = new Metadata(new Atom());
        this.diskCapacity = diskCapacity;
        this.diskLabel = diskLabel;
        this.diskName = diskName;
    }

    public VirtualDisk(String diskCapacity, String diskName) {
        super();
        this.metadata = new Metadata(new Atom());
        this.diskCapacity = diskCapacity;
        this.diskName = diskName;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
